<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>turntable_default</name>
  <program_name>turntable</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window2</name>
  <visible>False</visible>
  <title>window2</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>True</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <signal>
      <name>drag_data_received</name>
      <handler>gdam_turntable_frame_drag_data_received</handler>
      <last_modification_time>Wed, 06 Oct 1999 02:18:17 GMT</last_modification_time>
    </signal>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_OUT</shadow_type>

    <widget>
      <class>GtkAlignment</class>
      <name>alignment1</name>
      <xalign>0.5</xalign>
      <yalign>0.5</yalign>
      <xscale>1</xscale>
      <yscale>1</yscale>

      <widget>
	<class>GtkEventBox</class>
	<name>turntable_ebox</name>
	<events>GDK_EXPOSURE_MASK</events>

	<widget>
	  <class>GtkVBox</class>
	  <name>vbox6</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>

	  <widget>
	    <class>GtkHBox</class>
	    <name>gdam_turntable_producer_box</name>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_turntable_producer_container</handler>
	      <last_modification_time>Wed, 29 Dec 1999 17:41:52 GMT</last_modification_time>
	    </signal>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>Placeholder</class>
	    </widget>
	  </widget>

	  <widget>
	    <class>Custom</class>
	    <name>custom9</name>
	    <width>263</width>
	    <height>10</height>
	    <tooltip>position within song; click to change</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_turntable_position_adjustment</handler>
	      <last_modification_time>Thu, 04 May 2000 04:27:43 GMT</last_modification_time>
	    </signal>
	    <creation_function>gtk_pix_scrollbar_create_func</creation_function>
	    <string1>bluetone/htrough.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm</string1>
	    <string2>5:5:252:0:0:0:1:0.01:0.1:0.0</string2>
	    <int1>0</int1>
	    <int2>0</int2>
	    <last_modification_time>Thu, 04 May 2000 01:59:40 GMT</last_modification_time>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox6</name>
	    <height>32</height>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>

	    <widget>
	      <class>GtkToggleButton</class>
	      <name>anchor_tbutton</name>
	      <tooltip>If this turntable is anchored, then other turntables can synch to it.</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_skin_toggle_button:anchored</handler>
		<last_modification_time>Fri, 12 May 2000 16:41:51 GMT</last_modification_time>
	      </signal>
	      <label>Anchor</label>
	      <active>False</active>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgembb_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>click to seek back two bars.  if the tempo is unknown, a bar is four seconds.  right,shift clicks seek back eight bars.  middle,control clicks seek back two beats.</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:-2</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:-8</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:-8</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:-2</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:-2</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgembb.xpm:default/nudgembb_active.xpm:default/nudgembb_prelight.xpm:default/nudgembb_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgemb_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>seek back by one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek four bars.  control,middle clicks seek one beat.</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:-1</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:-1</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:-1</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:-4</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:-4</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgemb.xpm:default/nudgemb_active.xpm:default/nudgemb_prelight.xpm:default/nudgemb_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgeb_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>click to nudge the track back; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.01</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:04:08 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.05</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:00:26 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.05</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:02:27 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.002</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:03:56 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.002</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:04:23 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgeb.xpm:default/nudgeb_active.xpm:default/nudgeb_prelight.xpm:default/nudgeb_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>stop_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>click to stop; if already stopped, will seek to the first beat.  A right click while playing will seek in time to the first beat.</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_int:play_or_synch:-1</handler>
		<last_modification_time>Sun, 05 Dec 1999 01:39:08 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_turntable_seek_fb_in_time</handler>
		<last_modification_time>Fri, 04 Aug 2000 09:12:34 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/stop.xpm:default/stop_active.xpm:default/stop_prelight.xpm:default/stop_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox6</name>
	      <tooltip>number of beats from the beginning of the song</tooltip>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkLabel</class>
		<name>beatnum_label</name>
		<width>60</width>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_turntable_beatnum_label</handler>
		  <last_modification_time>Wed, 06 Oct 1999 00:56:28 GMT</last_modification_time>
		</signal>
		<label>000.000</label>
		<justify>GTK_JUSTIFY_CENTER</justify>
		<wrap>False</wrap>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xpad>6</xpad>
		<ypad>0</ypad>
	      </widget>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>play_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>play.  if track is playing, a click will synch it.  a control- or right-click will start the track in synch.  shift-click will seek immediately to the first beat</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_int:play_or_synch:1</handler>
		<last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_int:play_or_synch:2</handler>
		<last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_int:play_or_synch:2</handler>
		<last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_turntable_seek_fb</handler>
		<last_modification_time>Fri, 04 Aug 2000 09:12:34 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>toggled</name>
		<handler>gdam_skin_toggle_button:playing</handler>
		<last_modification_time>Fri, 29 Dec 2000 02:25:25 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/play.xpm:default/play_active.xpm:default/play_prelight.xpm:default/play_active.xpm</string1>
	      <int1>1</int1>
	      <int2>1</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgef_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>nudge the track forward; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.01</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:04:08 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.05</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:00:26 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.05</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:02:27 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.002</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:03:56 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.002</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:04:23 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgef.xpm:default/nudgef_active.xpm:default/nudgef_prelight.xpm:default/nudgef_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgemf_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>seek forward one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek forward four bars.  middle,control clicks seek by one beat.</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:1</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:21 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:4</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:21 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:4</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:21 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:1</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:21 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:1</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:21 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgemf.xpm:default/nudgemf_active.xpm:default/nudgemf_prelight.xpm:default/nudgemf_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgemff_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>seek forward by two bars.  shift,right clicks seek by eight bars.  control,middle clicks seek by two beats.</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:2</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:8</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:8</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:2</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:2</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgemff.xpm:default/nudgemff_active.xpm:default/nudgemff_prelight.xpm:default/nudgemff_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>hardware_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>assign hardware binding</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_skin_make_binding_dialog</handler>
		<last_modification_time>Tue, 22 Feb 2000 15:38:12 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/hardware.xpm:default/hardware_active.xpm:default/hardware_prelight.xpm:default/hardware_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox7</name>
	      <tooltip>sync indicator; 0 means in sync with anchored turntable</tooltip>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkLabel</class>
		<name>preview_label</name>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_turntable_preview_label</handler>
		  <last_modification_time>Tue, 12 Oct 1999 00:27:36 GMT</last_modification_time>
		</signal>
		<label>-</label>
		<justify>GTK_JUSTIFY_CENTER</justify>
		<wrap>False</wrap>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xpad>0</xpad>
		<ypad>0</ypad>
	      </widget>
	    </widget>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
